![Renai](resources/logo.png 'Renai')

# レンアイ - Hentai Library Thingy

**何?**\
an application for categorizing hentai manga

**Why?**\
see [user stories](workspace/user-stories.md)

**How?**\
Node.js, Electron, Typescript, SQLite3 (TypeORM)

By the way, there is mature content in this repository.

## Development Quickstart

For more information, check [CONTRIBUTING.md](CONTRIBUTING.md).

- `npm install`, the postinstall script compiles native node modules for electron
  - might need to install some build tools depending on your platform
- `npm run dev` for code transpilation (starts watchers)
- `npm start`

## Usage

There is nothing to use yet. You might want to contribute a [user story](workspace/user-stories.md) or two.
